import { Flex, Skeleton, SkeletonText } from '@chakra-ui/react';

export const DisplayTrackSkeleton = () => {
  return (
    <Flex direction="row" width="full" height="full">
      <Skeleton
        borderRadius="0px"
        height="50"
        width="50"
        minWidth="50"
        minHeight="50"
      />
      <Flex
        direction="column"
        width="full"
        height="full"
        paddingLeft="5px"
        overflowX="hidden"
      >
        <SkeletonText
          skeletonHeight="20px"
          noOfLines={1}
          spacing={0}
          width="50%"
          marginY="auto"
        />
      </Flex>
    </Flex>
  );
};
