import { extendTheme } from '@chakra-ui/react';

import * as components from './components';
import foundations from './foundations';
import { styles } from './styles';

const config = {
  initialColorMode: 'dark',
  useSystemColorMode: false,
};

export const theme = extendTheme({
  config,
  styles,
  ...foundations,
  components: { ...components },
});
