package org.kar.karusic.api.UserResourceModel;

import java.util.Map;

import org.kar.archidata.annotation.NoWriteSpecificMode;

import io.swagger.v3.oas.annotations.media.Schema;

@NoWriteSpecificMode
public class UserMe {
	public long id;
	public String login;
	@Schema(description = "Map<EntityName, Map<PartName, Right>>")
	public Map<String, Map<String, PartRight>> rights;

	public UserMe() {}

	public UserMe(final long id, final String login, final Map<String, Map<String, PartRight>> rights) {
		this.id = id;
		this.login = login;
		this.rights = rights;
	}

}
