import type { KnipConfig } from 'knip';

const config: KnipConfig = {
  // Ignoring mostly shell binaries
  ignoreBinaries: ['export', 'sleep'],
  ignore: [
    // Related to tests
    'tests/**',
    '**.conf.js',
    'steps.d.ts',
    'steps_file.js',
    'env_ci/codecept.conf.js',
    // Generic components are useful.
    'src/components/**',
  ],
};

export default config;
