import { Box, Button, Center, Heading, Text } from '@chakra-ui/react';
import { MdDangerous } from 'react-icons/md';

import { PageLayoutInfoCenter } from '@/components/Layout/PageLayoutInfoCenter';
import { TopBar } from '@/components/TopBar/TopBar';

export const Error403 = () => {
  return (
    <>
      <TopBar />
      <PageLayoutInfoCenter padding="25px">
        <Center>
          <MdDangerous size="250px" color="orange.600" />
        </Center>
        <Box textAlign="center">
          <Heading>Erreur 401</Heading>
          <Text color="orange.600">Cette page vous est interdite</Text>
          <Button as="a" variant="link" href="/">
            Retour à l'accueil
          </Button>
        </Box>
      </PageLayoutInfoCenter>
    </>
  );
};
