import { Box, Button, Center, Heading, Text } from '@chakra-ui/react';
import { MdSignpost } from 'react-icons/md';

import { PageLayoutInfoCenter } from '@/components/Layout/PageLayoutInfoCenter';
import { TopBar } from '@/components/TopBar/TopBar';

export const Error404 = () => {
  return (
    <>
      <TopBar />
      <PageLayoutInfoCenter padding="25px">
        <Center>
          <MdSignpost size="250px" />
        </Center>
        <Box textAlign="center">
          <Heading>Erreur 404</Heading>
          <Text color="gray.600">
            Cette page n'existe plus ou l'URL a changé
          </Text>
          <Button as="a" variant="link" href="/">
            Retour à l'accueil
          </Button>
        </Box>
      </PageLayoutInfoCenter>
    </>
  );
};
