import { Route, Routes } from 'react-router-dom';

import { Error404 } from '@/errors';
import { SSOPage } from '@/scene/sso/SSOPage';

export const SSORoutes = () => {
  return (
    <Routes>
      <Route path=":data/:keepConnected/:token" element={<SSOPage />} />
      <Route path="*" element={<Error404 />} />
    </Routes>
  );
};
